%global commit c0ab77ba31ed63f525dd4ecf80529bd8b790f3a9
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           rendercheck
Epoch:          1
Version:        1.5
Release:        7.git%{shortcommit}%{?dist}
Summary:        Tool to verify correct operation of the XRENDER extension

Group:          Development/Tools
License:        GPLv2 and MIT
URL:            http://cgit.freedesktop.org/xorg/app/rendercheck

# Source0:        http://cgit.freedesktop.org/xorg/app/rendercheck/snapshot/rendercheck-%{version}.tar.bz2
# snapshot of c0ab77ba31ed63f525dd4ecf80529bd8b790f3a9
Source0:	rendercheck.tar.xz
BuildRequires:  meson
BuildRequires:  pkgconfig(xrender) pkgconfig(xext)

%description
Tests a Render extension implementation against separate calculations of
expected output.


%prep
%setup -q -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files
%defattr(-,root,root,-)
%doc COPYING README NEWS
/usr/bin/rendercheck
/usr/share/man/man1/rendercheck.1.gz

%changelog
* Wed Feb 21 2018 Adam Jackson <ajax@redhat.com> - 1.5-7.git
- Git snapshot of c0ab77ba

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Dave Airlie <airlied@redhat.com> 1.5-1
- upstream rendercheck 1.5 release

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4-3.0.2.20140402GIT589bb58
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4-2.0.2.20140402GIT589bb58
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 29 2014 Matěj Cepl <mcepl@redhat.com> - 1.4-1.0.2.20140402GIT589bb58.el7
- Update to the latest upstream
- Corrections for the latest package review comments:
  - add files to %%doc
  - fix BuildRequires ... this actually DOES build on s390*
  - remove %%clean section

* Wed Apr 02 2014 Matěj Cepl <mcepl@redhat.com> - 1.4-1.0.20140402GIT2fd8151.el7
- Update to the latest upstream, preparation for the package review

* Sat Aug 24 2013 Matěj Cepl <mcepl@redhat.com> - 1:1.4-1.0.20130824GITb015a64
- Update to the latest upstream

* Mon Apr 12 2010 Adam Williamson <awilliam@redhat.com> 20100412-1
- update to latest git

* Wed Mar 11 2009 Ben Skeggs <bskeggs@redhat.com> 20090120git37eac61e-1
- package rendercheck
